org.hibernate.search.spatial.impl

## Class SpatialNumericDocValueField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.hibernate.search.spatial.impl.SpatialNumericDocValueField

- All Implemented Interfaces:
    IndexableField

      public class SpatialNumericDocValueField
      extends Field

  This class is equivalent to `DoubleDocValuesField` except that we set the property indexed to false explicitly.
  Author:
    Davide D'Alto
  See Also:
    `DoubleDocValuesField`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

      `Field.Index, Field.Store, Field.TermVector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FieldType` | `TYPE`

    - ### Fields inherited from class org.apache.lucene.document.Field

      `boost, fieldsData, name, tokenStream, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpatialNumericDocValueField(String name, Double value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDoubleValue(double value)`
    `void` | `setLongValue(long value)`

    - ### Methods inherited from class org.apache.lucene.document.Field

      `binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setFloatValue, setIntValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FieldType TYPE

  - ### Constructor Detail

    - #### SpatialNumericDocValueField

          public SpatialNumericDocValueField(String name,
                                             Double value)

  - ### Method Detail

    - #### setDoubleValue

          public void setDoubleValue(double value)

      Overrides:
        `setDoubleValue` in class `Field`

    - #### setLongValue

          public void setLongValue(long value)

      Overrides:
        `setLongValue` in class `Field`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved